Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1348602 - Incorrect indication of num lock key
Summary: Incorrect indication of num lock key
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 24
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-21 14:42 UTC by Jan Houska
Modified: 2017-08-08 14:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:54:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Houska 2016-06-21 14:42:19 UTC
Description of problem:
There is a problem during logging procedure. The <Num Lock> key has not 
 cleared its state (ON). I am running  Fedora 24 on (Lenovo Think Pad T420s) laptop with encrypted disk. I am using docking station with  external keyboard and mouse. The laptop embedded keyboard does not contain any extended numerical keys.
 
All steps are done using external USB keyboard. 

 First our system is asking about my encryption password for disk encryption during system boot. If I write my password using <Num Lock> (therefore its state goes ON) and then hit <enter> the login screen state of the <Num Lock> is broken in my window  manager (KDE). The state of <Num Lock> is wrongly indicated as  "ON". First hit the <Num Lock> key will do nothing. The second hit will disable the <Num Lock> indication (it is going to dark and state is going to OFF state) then the third  hit of <Num Lock> key will switch state to ON properly.

If I will not switch on the <Num Lock> during disk decryption the <Num Lock> in a KDE  login screen is working fine (eg. First hit activate the numeric keys and state is correctly set as ON).

How reproducible:
always

Steps to Reproduce:
1. boot system
2. write a password for disk encryption
3. activate <Num Lock>
4. hit <enter>
5. activate KDE login box (mouse click into login box)
6. 


Actual results:
The <Num Lock> indicator is indicating ON state while the <Num Lock>  state is OFF. 

Expected results:
The <Num Lock> indicator is indicating OFF state.


Additional info:

Comment 1 Fedora End Of Life 2017-07-25 21:09:55 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 14:54:53 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.